import Vue from "vue"
class TableStore {
  constructor (option) {
    // 处理state，转为响应式数据
    const state = option.state || {}
    this.state = Vue.observable(state)
    // 处理mutations，改变this指向，传入state
    this.mutations = {}
    const mutations = option.mutations || {}
    Object.keys(mutations).forEach(key => {
      this.mutations[key] = (params) => {
        mutations[key].call(this, this.state, params)
      }
    })
  }
  commit (eventName, params) {
    this.mutations[eventName](params)
  }
}

export default TableStore