import 'public/iconfont/iconfont.css'
const components = require.context("../packages", true, /\.vue$/);

const install = (Vue) => {
  const files = components.keys() || []
  files.forEach(key => {
    const filesList = key.split('/')
    // child1.vue => child1
    const tag = filesList[filesList.length - 1].replace(/\.\w+$/, '')
    const value = components(key).default
    Vue.component(tag, value);
  });
};

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
  version: "1.0.0",
  install,
  ...components,
};